extends Node


#Emitter : TowerButton.gd
#Subscriber : World.gd
signal tower_selected(tower : PackedScene, tower_button : TowerButton)


#Emitter : cube.gd
#Subscriber : progress_bar_cube_integrity.gd
signal cube_integrity_changed(_value : int, _max_value : int)


#Emitter : cube.gd
#Subscriber : label_money.gd
signal money_changed(_value : int)
